# SDPSessionDescription Class Reference

`#include <sdp.h>`

List of all members.

## Public Member Functions

| SDPSessionDescription (const OpalTransportAddress &address=OpalTransportAddress())
void | PrintOn (ostream &strm) const
PString | Encode () const
PBoolean | Decode (const PString &str)
void | SetSessionName (const PString &v)
PString | GetSessionName () const
void | SetUserName (const PString &v)
PString | GetUserName () const
const SDPMediaDescriptionArray & | GetMediaDescriptions () const
SDPMediaDescription * | GetMediaDescriptionByType (const OpalMediaType &rtpMediaType) const
SDPMediaDescription * | GetMediaDescriptionByIndex (PINDEX i) const
void | AddMediaDescription (SDPMediaDescription *md)
void | SetDirection (const SDPMediaDescription::Direction &d)
SDPMediaDescription::Direction | GetDirection (unsigned) const
bool | IsHold () const
const OpalTransportAddress & | GetDefaultConnectAddress () const
void | SetDefaultConnectAddress (const OpalTransportAddress &address)
PINDEX | GetOwnerSessionId () const
void | SetOwnerSessionId (PINDEX value)
PINDEX | GetOwnerVersion () const
void | SetOwnerVersion (PINDEX value)
OpalTransportAddress | GetOwnerAddress () const
void | SetOwnerAddress (OpalTransportAddress addr)
unsigned | GetBandwidth (const PString &type) const
void | SetBandwidth (const PString &type, unsigned value)

## Static Public Member Functions

static const PString & | ConferenceTotalBandwidthType ()
static const PString & | ApplicationSpecificBandwidthType ()

## Protected Member Functions

void | ParseOwner (const PString &str)

## Protected Attributes

SDPMediaDescriptionArray | mediaDescriptions
SDPMediaDescription::Direction | direction
PINDEX | protocolVersion
PString | sessionName
PString | ownerUsername
unsigned | ownerSessionId
unsigned | ownerVersion
OpalTransportAddress | ownerAddress
OpalTransportAddress | defaultConnectAddress
SDPBandwidth | bandwidth

## Constructor & Destructor Documentation

SDPSessionDescription::SDPSessionDescription | ( | const OpalTransportAddress & | address = `OpalTransportAddress()` | ) |

## Member Function Documentation

void SDPSessionDescription::PrintOn | ( | ostream & | strm | ) | const

PString SDPSessionDescription::Encode | ( |  | ) | const

PBoolean SDPSessionDescription::Decode | ( | const PString & | str | ) |

void SDPSessionDescription::SetSessionName | ( | const PString & | v | ) | `[inline]`

PString SDPSessionDescription::GetSessionName | ( |  | ) | const`[inline]`

void SDPSessionDescription::SetUserName | ( | const PString & | v | ) | `[inline]`

PString SDPSessionDescription::GetUserName | ( |  | ) | const`[inline]`

const SDPMediaDescriptionArray& SDPSessionDescription::GetMediaDescriptions | ( |  | ) | const`[inline]`

SDPMediaDescription* SDPSessionDescription::GetMediaDescriptionByType | ( | const OpalMediaType & | rtpMediaType | ) | const

SDPMediaDescription* SDPSessionDescription::GetMediaDescriptionByIndex | ( | PINDEX | i | ) | const

void SDPSessionDescription::AddMediaDescription | ( | SDPMediaDescription * | md | ) | `[inline]`

void SDPSessionDescription::SetDirection | ( | const SDPMediaDescription::Direction & | d | ) | `[inline]`

SDPMediaDescription::Direction SDPSessionDescription::GetDirection | ( | unsigned |  | ) | const

bool SDPSessionDescription::IsHold | ( |  | ) | const

const OpalTransportAddress& SDPSessionDescription::GetDefaultConnectAddress | ( |  | ) | const`[inline]`

void SDPSessionDescription::SetDefaultConnectAddress | ( | const OpalTransportAddress & | address | ) |

PINDEX SDPSessionDescription::GetOwnerSessionId | ( |  | ) | const`[inline]`

void SDPSessionDescription::SetOwnerSessionId | ( | PINDEX | value | ) | `[inline]`

PINDEX SDPSessionDescription::GetOwnerVersion | ( |  | ) | const`[inline]`

void SDPSessionDescription::SetOwnerVersion | ( | PINDEX | value | ) | `[inline]`

OpalTransportAddress SDPSessionDescription::GetOwnerAddress | ( |  | ) | const`[inline]`

void SDPSessionDescription::SetOwnerAddress | ( | OpalTransportAddress | addr | ) | `[inline]`

unsigned SDPSessionDescription::GetBandwidth | ( | const PString & | type | ) | const`[inline]`

void SDPSessionDescription::SetBandwidth | ( | const PString & | type,
|  | unsigned | value |
| ) |  |  | `[inline]`

static const PString& SDPSessionDescription::ConferenceTotalBandwidthType | ( |  | ) | `[static]`

static const PString& SDPSessionDescription::ApplicationSpecificBandwidthType | ( |  | ) | `[static]`

void SDPSessionDescription::ParseOwner | ( | const PString & | str | ) | `[protected]`

## Member Data Documentation

SDPMediaDescriptionArray SDPSessionDescription::mediaDescriptions `[protected]`

SDPMediaDescription::Direction SDPSessionDescription::direction `[protected]`

PINDEX SDPSessionDescription::protocolVersion `[protected]`

PString SDPSessionDescription::sessionName `[protected]`

PString SDPSessionDescription::ownerUsername `[protected]`

unsigned SDPSessionDescription::ownerSessionId `[protected]`

unsigned SDPSessionDescription::ownerVersion `[protected]`

OpalTransportAddress SDPSessionDescription::ownerAddress `[protected]`

OpalTransportAddress SDPSessionDescription::defaultConnectAddress `[protected]`

SDPBandwidth SDPSessionDescription::bandwidth `[protected]`

The documentation for this class was generated from the following file:

- sdp.h